Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- eclipse.sites
- eclipse.sites.SiteRenderer
- eclipse.sites.SiteTreeModel
- exports.GitCommitExplorer-GitCommitExplorer
- exports.GitRepositoryExplorer-GitRepositoryExplorer
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.commands.Command
- orion.commands.CommandService
- orion.commonHTMLFragments
- orion.compare.DiffProvider
- orion.compare.rulers.CompareOverviewRuler
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.console.Console
- orion.console.ConsoleInput
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.dialogs.DialogService
- orion.edit.Dispatcher
- orion.editor.ContentAssist
- orion.editor.Editor
- orion.editor.JavaScriptContentAssistProvider
- orion.editor.regex
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.editor.util
- orion.explorer-table.FileExplorer
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.file.ContentType
- orion.file.ContentTypeService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.git.GitClonesExplorer
- orion.git.GitClonesModel
- orion.git.GitCommitNavigator
- orion.git.GitService
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.searchClient.Searcher
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.selection.Selection
- orion.serviceregistry.EventTarget
- orion.serviceregistry.Service
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.siteService.SiteConfiguration
- orion.siteService.SiteService
- orion.status.StatusReportingService
- orion.textview.Annotation
- orion.textview.AnnotationIterator
- orion.textview.AnnotationModel
- orion.textview.AnnotationRuler
- orion.textview.AnnotationStyler
- orion.textview.AnnotationTypeList
- orion.textview.BlurEvent
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.EventTarget
- orion.textview.FocusEvent
- orion.textview.FoldingAnnotation
- orion.textview.KeyBinding
- orion.textview.LineNumberRuler
- orion.textview.LineStyleEvent
- orion.textview.LoadEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.OverviewRuler
- orion.textview.Projection
- orion.textview.ProjectionTextModel
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.TextViewOptions
- orion.textview.UndoStack
- orion.textview.UnloadEvent
- orion.textview.VerifyEvent
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.util
- orion.widgets.DirectoryTreeModel
- orion.widgets.OpenResourceDialog
- orion.widgets.SiteEditor
- String

# Class orion.file.ContentTypeService

A service for querying orion.file.ContentTypes.
Defined in: </shared/eclipse/e4/orion/I201202282230/plugins/org.eclipse.orion.client.core/web/orion/contentTypes.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.file.ContentTypeService(serviceRegistry) A service for querying orion.file.ContentTypes.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getContentType(id) Gets a ContentType by ID.
| getContentTypes() Gets all the ContentTypes in the registry.
| getContentTypesMap() Gets a map of all ContentTypes.
| getFileContentType(fileMetadata) Looks up the ContentType for a file or search result, given the metadata.
| getFilenameContentType(filename) Looks up the ContentType, given a filename.
| isExtensionOf(contentTypeA, contentTypeB) Determines whether a ContentType is an extension of another.
| isSomeExtensionOf(contentType, contentTypes) Similar to #isExtensionOf, but works on an array of contentTypes.

Class Detail
orion.file.ContentTypeService(serviceRegistry)
A service for querying orion.file.ContentTypes. Clients should request the `"orion.file.contenttypes"` service from the orion.serviceregistry.ServiceRegistry rather than instantiate this class directly. This constructor is intended for use only by page initialization code.

Parameters:
{orion.serviceregistry.ServiceRegistry} serviceRegistry
  The service registry to use for looking up registered content types and for registering this service.

Method Detail
{orion.file.ContentType} getContentType(id)
Gets a ContentType by ID.

Parameters:
{String} id
  The ContentType ID.

Returns:
  {orion.file.ContentType} The ContentType having the given ID, or `null`.

{orion.file.ContentType[]} getContentTypes()
Gets all the ContentTypes in the registry.

Returns:
  {orion.file.ContentType[]} An array of all registered ContentTypes.

{Object} getContentTypesMap()
Gets a map of all ContentTypes.

Returns:
  {Object} A map whose keys are ContentType IDs and values are the orion.file.ContentType having that ID.

{orion.file.ContentType} getFileContentType(fileMetadata)
Looks up the ContentType for a file or search result, given the metadata.

Parameters:
{Object} fileMetadata
  Metadata for a file or search result.

Returns:
  {orion.file.ContentType} The ContentType for the file, or `null` if none could be found.

{orion.file.ContentType} getFilenameContentType(filename)
Looks up the ContentType, given a filename.

Parameters:
{String} filename
  The filename.

Returns:
  {orion.file.ContentType} The ContentType for the file, or `null` if none could be found.

{Boolean} isExtensionOf(contentTypeA, contentTypeB)
Determines whether a ContentType is an extension of another.

Parameters:
{orion.file.ContentType|String} contentTypeA
  ContentType or ContentType ID.
{orion.file.ContentType|String} contentTypeB
  ContentType or ContentType ID.

Returns:
  {Boolean} Returns `true` if `contentTypeA` equals `contentTypeB`, or `contentTypeA` descends from `contentTypeB`.

{Boolean} isSomeExtensionOf(contentType, contentTypes)
Similar to #isExtensionOf, but works on an array of contentTypes.

Parameters:
{orion.file.ContentType|String} contentType
  ContentType or ContentType ID.
{orion.file.ContentType[]|String[]} contentTypes
  Array of ContentTypes or ContentType IDs.

Returns:
  {Boolean} `true` if `contentType` equals or descends from any of the ContentTypes in `contentTypes`.

Documentation generated by JsDoc Toolkit 2.4.0 on Tue Feb 28 2012 22:34:47 GMT-0500 (EST)